﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9.801
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim Power_Interface_layout , Action_Command As Boolean
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	Private CircularSeekBar1 As CircularSeekBar
	Private B4XSwitch1 As B4XSwitch
	Private Image_heat As B4XView
	Private Btn_save_Temp As B4XView
	Private temp_consigne As Float
	Private file_Setup As String=""
	Dim cs As CSBuilder
	Private Actif_save  As Boolean=False
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	Activity.LoadLayout("power_control")
	
	CircularSeekBar1.MaxValue=20
	CircularSeekBar1.Offsets=10
	CircularSeekBar1.Sweep_Scale=0.5
	CircularSeekBar1.Touch_Scale=0.1
	
	file_Setup=Main.Localisation_Home & "_" & "setup.txt"
	
	Dim bitmap As Bitmap
						
	
	bitmap.Initialize(File.DirAssets,"heat1.png")
		
	bitmap= bitmap.Resize(Image_heat.Width,Image_heat.Height,True)
	Image_heat.SetBitmap(bitmap)
	
	
	For Each data As String In Main.list_Read_Setup
		Dim data_setup() As String =Regex.Split(";", data)
			
			
		If data_setup(2)=Cockpit.Macaddress Then 'identifie le sensor concerné
						
			CircularSeekBar1.Value=data_setup(3)-CircularSeekBar1.Offsets
		End If
	Next
	
End Sub

Sub Activity_Resume
	Power_Interface_layout=True
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	Power_Interface_layout=False
End Sub

Sub B4XSwitch1_ValueChanged (Value As Boolean)
	
	If B4XSwitch1.Value=True Then
		CircularSeekBar1.Enable=True
		Btn_save_Temp.Enabled=True
	Else
		CircularSeekBar1.Enable=False
		Btn_save_Temp.Enabled=False
	End If
	
End Sub

Sub Save_Power_Parameter
	
	
	'Recherche les paramètres du Sensor à associer avec  la prise
	For Each data As String In Main.list_Read_Setup
		Dim data_setup() As String =Regex.Split(";", data)
		If data_setup(2)=Cockpit.Macaddress Then
			
			' Ajout ou met à jour les données
			
			Dim new_data As String= data_setup(0) & ";" & data_setup(1) & ";" & data_setup(2) & ";" & temp_consigne & ";" & Scan_Power.Mac_Address & ";" & data_setup(5) & ";" & data_setup(6) & ";" & data_setup(7)
			Log(Main.list_Read_Setup.IndexOf(data))
			Main.list_Read_Setup.Set(Main.list_Read_Setup.IndexOf(data),new_data)
						
		End If
	Next
	
	'Mise à jour du fichier  et Sauvegarde dans le Cloud
	wait for (Param.write_file_setup(Main.list_Read_Setup, file_Setup,False,False)) complete (result As Boolean)
	
	If IsPaused(Transfert_Server)=True Then
		'Lbl_info_transfert.Visible=True
		Main.type_transfert=Cockpit.Upload_File_HH
		StartService(Transfert_Server)
	End If
	
End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean 'return true if you want to consume the event
    
		
	Select KeyCode
		Case KeyCodes.KEYCODE_VOLUME_UP
			Log("Up")
			Return True
					
		Case KeyCodes.KEYCODE_VOLUME_DOWN
			Log("Down")
			Return True
		Case KeyCodes.KEYCODE_BACK
			
			If Actif_save=False Then 'And Action_Command=False Then
				Return False
			Else
				
				ToastMessageShow("Veuillez patienter...",True)
				Return True
			End If
		
	End Select
End Sub


Sub Btn_save_Temp_Click
	Actif_save=True
	Btn_save_Temp.TextColor=Colors.Yellow
	
	temp_consigne= Round2(CircularSeekBar1.Value,2)' $"$1.1{CircularSeekBar1.Value}"$
	Save_Power_Parameter
End Sub

Sub result_transfert_upload(success As Boolean)
	
	If success=False Then
		Btn_save_Temp.TextColor=Colors.Red
	Else
		Btn_save_Temp.TextColor=Colors.Green
		Actif_save=False
	End If
	
' lance une commande de lecture avec les nouveaux paramètres
		
	file_Setup= Main.Localisation_Home & "_" & "command.txt"
	Action_Command=True
	Actif_save=False
	
	wait for (Param.write_file_setup(Main.list_Read_Setup, file_Setup,False,False)) complete (result As Boolean)
	Sleep(2000)
			
	If IsPaused(Transfert_Server)=True Then
		'Lbl_info_transfert.Visible=True
		Main.type_transfert=Cockpit.Upload_File_HH
		StartService(Transfert_Server)
	End If

		
	file_Setup=Main.Localisation_Home & "_" & "setup.txt"

End Sub